Bug 120785 - CRASH: LibreOffice can be closed while Slide Design is open
Summary: CRASH: LibreOffice can be closed while Slide Design is open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-22 12:02 UTC by Xisco Faulí
Modified: 2018-10-23 15:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 12:02:09 UTC
Steps to reproduce:
1. Open Impress
2. Close the template dialog
3. Click on Default in the status bar
4. Close LibreOffice
5. Close the Slide Design dialog

-> Crash

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 5fb66ae5595b7435e8954df31473fad15a74b8c2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-10-22 12:03:57 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b752a93acff31c824bcec4233a8dd9bee014ca7d

author	Caolán McNamara <caolanm@redhat.com>	2018-10-12 11:35:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-12 14:19:47 +0200
commit	b752a93acff31c824bcec4233a8dd9bee014ca7d (patch)
tree	03ed9b8afc32757f8517cdb250723674fca547e9
parent	f6d3a1e9c3b99a3d2e7e03b16a61f683ea18a32e (diff)
weld SdPresLayoutDlg

bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2018-10-22 13:34:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a6552c5d96626112608eee204f51bdc71da1fc2

Resolves: tdf#120785 no parent set via status bar

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-10-23 15:59:39 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: cd6dd8c6f3562cbccbc971b916c6a8933840ffeb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for fixing this!